<?php

namespace NoccyLabs\ConLog\Formatter;

abstract class Formatter
{

    abstract protected function formatLine(string $level, string $message, array $context);

    public function __invoke(string $level, string $message, array $context)
    {
        return $this->formatLine($level, $message, $context);
    }

}

